SimpleOrthoPairCollection (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.homologene.SimpleOrthoPairCollection class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.homologene
Class SimpleOrthoPairCollection

    java.lang.Object
      org.biojava.bio.program.homologene.AbstractOrthoPairCollection
          org.biojava.bio.program.homologene.SimpleOrthoPairCollection

All Implemented Interfaces:
  OrthoPairCollection

Direct Known Subclasses:
  SimpleHomologeneDB

    public class SimpleOrthoPairCollection

extends AbstractOrthoPairCollection

Nested Class Summary
`class` | `SimpleOrthoPairCollection.Iterator`

Field Summary
`protected Set` | `groups`

Constructor Summary
`SimpleOrthoPairCollection()`

Method Summary
`void` | `add(OrthoPairSet group)`
`boolean` | `contains(OrthoPairSet group)`
`boolean` | `isEmpty()`
`OrthoPairCollection.Iterator` | `iterator()`

Methods inherited from class org.biojava.bio.program.homologene.AbstractOrthoPairCollection
`filter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### groups

    protected Set groups

Constructor Detail

### SimpleOrthoPairCollection

    public SimpleOrthoPairCollection()

Method Detail

### add

    public void add(OrthoPairSet group)

  Specified by:
    `add` in interface `OrthoPairCollection`
  Specified by:
    `add` in class `AbstractOrthoPairCollection`

### contains

    public boolean contains(OrthoPairSet group)

  Specified by:
    `contains` in interface `OrthoPairCollection`
  Specified by:
    `contains` in class `AbstractOrthoPairCollection`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `OrthoPairCollection`
  Specified by:
    `isEmpty` in class `AbstractOrthoPairCollection`

### iterator

    public OrthoPairCollection.Iterator iterator()

  Specified by:
    `iterator` in interface `OrthoPairCollection`
  Specified by:
    `iterator` in class `AbstractOrthoPairCollection`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD